@import url('/style/v2/_layout.css');

main {
  display: flex;
  flex-direction: column;
  max-width: none;
  margin: 0;
}

aside {
  display: flex;
  flex-direction: column;
  height: 256px;
  margin: 1em;
  gap: 0.5em;
}

aside a {
  color: var(--background);
  text-decoration: none;
}

aside a:hover {
  text-decoration: underline;
}

aside .header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: baseline;
  gap: 1em;
}

aside h3 {
  font-size: 1.1em;
  font-weight: 600;
}

aside h3 img {
  width: 1em;
}

aside .close {
  margin-top: 0;
}

aside ul {
  display: flex;
  font-size: 0.9em;
  gap: 1em;
  margin-top: 0.5em;
}

aside ul .icon {
  height: 2em;
  vertical-align: middle;
  margin-top: -3px;
}

aside ul .admin-action .icon {
  height: 1.5em;
}

aside ul .button:hover {
  color: #ffffff;
  text-decoration: none;
}

aside .update {
  font-style: italic;
  font-size: 0.9em;
}

.map {
  width: 100%;
  height: 100%;
}

@media screen and (min-width: 768px) {
  main {
    flex-direction: row;
  }

  aside {
    width: 384px;
    height: 100%;
  }
}

.map-zoom-restriction {
  background-color: #e36f62;
  color: #ffffff;
  font-size: 1rem;
  padding: 0.6rem 1rem;
}

.adventure-map-icon {
  width: 40px !important;
  height: 40px !important;
  background-image: url(/images/icon-map-pin.png);
  background-repeat: no-repeat;
  background-size: contain;
  position: relative;
}

.adventure-map-icon img {
  position: absolute;
  width: 24px;
  height: 24px;
}

.adventure-map-icon img.adventure-mode {
  top: 0;
  left: 0;
}

.adventure-map-icon img.adventure-found-status {
  top: 4px;
  left: 0;
  right: 0;
  margin: auto;
}

.adventure-map-icon img.adventure-status {
  top: 0;
  left: 0;
}

.adventure-map-icon img.adventure-verified {
  top: 0;
  right: 0;
  height: 16px;
}
